#### D.4.27.1 Ann

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  Ann(M); M module

Return:
  ideal, the annihilator of coker(M)

Note:
  The output is the ideal of all elements a of the basering R such that a * R^m is contained in M (m=number of rows of M).

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),lp;
    module M = x2-y2,z3;
    Ann(M);
    ==> _[1]=z3
    ==> _[2]=x2-y2
    M = [1,x2],[y,x];
    Ann(M);
    ==> _[1]=x2y-x
    qring Q=std(xy-1);
    module M=imap(r,M);
    Ann(M);
    ==> _[1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.